﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;

namespace LINQtoXMLduplicatedNode
{
    class Program
    {
        static void Main(string[] args)
        {
            Dictionary<string, string> myDict = new Dictionary<string, string>();
            XElement myXML = XElement.Load("xml.xml");
            IEnumerable<XElement> xElementData = from data in myXML.Descendants("data") select data;
            foreach (XElement xElement in xElementData)
            {
                myDict[(string)xElement.Elements().ElementAt(0)] = (string)xElement.Elements().ElementAt(1);
            }

            foreach (KeyValuePair<string, string> keyValuePair in myDict)
            {
                Console.WriteLine($"Key: {keyValuePair.Key}, value: {keyValuePair.Value}");
            }

            Console.WriteLine("Press any key");
            Console.ReadKey();
        }
    }
}
